std::type_index(3cxx)

NAME
std::type_index - Class type_index.

SYNOPSIS

#include <typeindex>

  Public Member Functions

type_index (const type_info &__rhs) noexcept
size_t hash_code () const noexcept
const char * name () const noexcept
bool operator!= (const type_index &__rhs) const noexcept
bool operator< (const type_index &__rhs) const noexcept
bool operator<= (const type_index &__rhs) const noexcept
bool operator== (const type_index &__rhs) const noexcept
bool operator> (const type_index &__rhs) const noexcept
bool operator>= (const type_index &__rhs) const noexcept

Detailed Description

Class type_index.

The class type_index provides a simple wrapper for type_info which can be used as an index type in associative containers (23.6) and in unordered associative containers (23.7).

Definition at line 52 of file typeindex.

Constructor & Destructor Documentation

  std::type_index::type_index (const type_info & __rhs) [inline], [noexcept]

Definition at line 54 of file typeindex.

Member Function Documentation

  size_t std::type_index::hash_code () const [inline], [noexcept]

Definition at line 82 of file typeindex.

  const char * std::type_index::name () const [inline], [noexcept]

Definition at line 86 of file typeindex.

  bool std::type_index::operator!= (const type_index & __rhs) const [inline], [noexcept]

Definition at line 62 of file typeindex.

  bool std::type_index::operator< (const type_index & __rhs) const [inline], [noexcept]

Definition at line 65 of file typeindex.

  bool std::type_index::operator<= (const type_index & __rhs) const [inline], [noexcept]

Definition at line 69 of file typeindex.

  bool std::type_index::operator== (const type_index & __rhs) const [inline], [noexcept]

Definition at line 58 of file typeindex.

  bool std::type_index::operator> (const type_index & __rhs) const [inline], [noexcept]

Definition at line 74 of file typeindex.

  bool std::type_index::operator>= (const type_index & __rhs) const [inline], [noexcept]

Definition at line 78 of file typeindex.

Author

Generated automatically by Doxygen for libstdc++ from the source code.